summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorThomas Roessler <roessler@does-not-exist.org>1999-11-08 21:56:28 +0000
committerThomas Roessler <roessler@does-not-exist.org>1999-11-08 21:56:28 +0000
commita466bb05bd04480fa50f98b156e569f926b3a42e (patch)
treecf9012808dd681b4a317cff0ea3b692bdb430353
parent002c52d430c3156e73814065b75ecb7bbdf227d5 (diff)
automatic post-release commit for mutt-1.1.1.1mutt-1-1-1-1-rel
-rw-r--r--ChangeLog16
-rw-r--r--LAST_TAG1
-rw-r--r--Makefile.am54
-rw-r--r--OVERSION1
-rw-r--r--VERSION2
-rwxr-xr-xbuild-release87
6 files changed, 100 insertions, 61 deletions
diff --git a/ChangeLog b/ChangeLog
index e181c3a7..4aab0440 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,11 +1,15 @@
-Sun Nov 7 22:52:40 1999 Thomas Roessler <roessler@guug.de>
+Mon Nov 8 21:08:07 1999 Thomas Roessler <roessler@guug.de>
- * sendlib.c:
- short-cut utf-7 as a 7bit character set. Currently, utf-7 may be
- overridden by us-ascii.
+ NOTICE: You'll find a version 1.1.1.1 in the logs, and in
+ the CVS tags. This version is identical to 1.1.1, and
+ exculsively serves the purpose to test some improvements to
+ the release build process.
- * protos.h, recvattach.c, recvcmd.c, rfc1524.c, rfc1524.h, send.c, sendlib.c, attach.c, attach.h, browser.c, commands.c, compose.c, curs_main.c, functions.h, init.h, mutt.h, muttlib.c, pager.c, pager.h, postpone.c, Makefile.am:
- Rewriting lots of the recvattach code.
+ * LAST_TAG, Makefile.am, OVERSION:
+ Preparing some improvements to the build process.
+
+ * po/de.po, reldate.h, VERSION, ChangeLog:
+ automatic post-release commit for mutt-1.1.1
Sun Nov 7 22:52:40 1999 Thomas Roessler <roessler@guug.de>
diff --git a/LAST_TAG b/LAST_TAG
deleted file mode 100644
index d51ef746..00000000
--- a/LAST_TAG
+++ /dev/null
@@ -1 +0,0 @@
-mutt-1-1-1-rel
diff --git a/Makefile.am b/Makefile.am
index a608bdc4..4e9a66e9 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -152,58 +152,8 @@ us-dist: us-distdir
GZIP=$(GZIP) $(TAR) chozf $(distdir)-us.tar.gz $(distdir)-us
-rm -rf $(distdir)-us
-test-tlr:
- test $$HOSTNAME = sobolev && test $$LOGNAME = roessler
-
-actual-dist: update-doc
- # Note: We can't put these into the dependencies line, since
- # make will over-optimize some of the distdir targets.
- $(MAKE) us-dist
- $(MAKE) dist
- mv $(distdir).tar.gz $(distdir)i.tar.gz
- mv $(distdir)-us.tar.gz $(distdir).tar.gz
- $(MAKE) do-sign
- $(MAKE) do-upload
-
-do-sign: test-tlr
- pgp -sb $(distdir)i.tar.gz && chmod 644 $(distdir)i.tar.gz.asc
- pgp -sb $(distdir).tar.gz && chmod 644 $(distdir).tar.gz.asc
-
-do-upload: test-tlr
- if ! ssh-add -l | grep -q roessler@ ; then \
- ssh-add ; \
- fi
- @echo "Please connect to the Net and press any key."
- @read dummy
- scp $(distdir){,i}.tar.gz{,.asc} \
- sigtrap.guug.de:/home/ftp/pub/mutt/devel/ \
- || echo "UPLOAD FAILED. Please upload manually!"
- ( cd $(srcdir) && cvs commit -m "automatic post-release commit for $(distdir)" )
- cvs tag `echo $(distdir)-rel | tr . -`
- cvs rdiff -u -r `cat $(srcdir)/LAST_TAG` \
- -r `echo $(distdir)-rel | tr . -` \
- > $(srcdir)/diff-`cat $(srcdir)/OVERSION`-`cat $(srcdir)/VERSION`
- gzip -9 $(srcdir)/diff-`cat $(srcdir)/OVERSION`-`cat $(srcdir)/VERSION`
- echo $(distdir)-rel | tr . - > $(srcdir)/LAST_TAG
- ( cd $(srcdir) && cvs commit -m "automatically committing updated build information" LAST_TAG )
- cvs update
- $$HOME/bin/upload-mutt
- mutt -s "[Announce] $(distdir) is out" mutt-dev@mutt.org
-
-bump-version: test-tlr
- -rm -f $(srcdir)/VERSION
- ( cd $(srcdir) && cvs update VERSION )
- ( cd $(srcdir) && cp VERSION OVERSION && \
- cvs commit -m "automatically committing updated build information" OVERSION )
- awk -F . '{printf("%d.%d.%d\n", $$1, $$2, $$3 + 1);}' $(srcdir)/VERSION > _VERSION.$$$$ \
- && mv _VERSION.$$$$ $(srcdir)/VERSION
- $(VISUAL) $(srcdir)/VERSION
-
-mutt-dist: bump-version reldate changelog
- touch $(srcdir)/configure.in
- $(MAKE) config.status
- ./config.status
- $(MAKE) actual-dist
+mutt-dist:
+ (cd $(srcdir) && ./build-release )
update-doc: stamp-doc-rc
(cd doc && $(MAKE) update-doc)
diff --git a/OVERSION b/OVERSION
deleted file mode 100644
index 524cb552..00000000
--- a/OVERSION
+++ /dev/null
@@ -1 +0,0 @@
-1.1.1
diff --git a/VERSION b/VERSION
index 524cb552..66a76058 100644
--- a/VERSION
+++ b/VERSION
@@ -1 +1 @@
-1.1.1
+1.1.1.1
diff --git a/build-release b/build-release
new file mode 100755
index 00000000..5516fa69
--- /dev/null
+++ b/build-release
@@ -0,0 +1,87 @@
+#!/bin/sh --
+
+#
+# Build a mutt release.
+#
+# This used to be part of the main Makefile, but is better handled
+# by a shell script.
+#
+# Note that this script won't work for you. I'm including it with
+# the distribution for the sake of completeness.
+#
+# Thomas Roessler <roessler@guug.de> Mon, 8 Nov 1999 22:32:41 +0100
+#
+
+set -e
+
+devel="devel/" # uncomment for the stable branch
+
+# update the source
+
+cvs update
+
+# bump the version number, and calculate the tags
+
+rm -f VERSION
+cvs update VERSION
+OVERSION="`cat VERSION`"
+OTAG="mutt-`echo $OVERSION | tr . -`-rel"
+
+echo $OVERSION | awk -F . '{printf("%d.%d.%d\n", $$1, $$2, $$3 + 1);}' > VERSION
+${VISUAL} VERSION
+
+VERSION="`cat VERSION`"
+TAG="mutt-`echo $VERSION | tr . -`-rel"
+
+echo 'const char *ReleaseDate = "'`date +%Y-%m-%d`'";' > reldate.h
+
+rcs2log | cat - ChangeLog > ChangeLog.$$ && mv ChangeLog.$$ ChangeLog
+${VISUAL} ChangeLog
+
+# now, prepare the distribution tar balls
+
+touch configure.in
+make config.status
+./config.status
+make update-doc
+
+# build them
+
+make us-dist
+make dist
+mv mutt-${VERSION}.tar.gz mutt-${VERSION}i.tar.gz
+mv mutt-${VERSION}-us.tar.gz mutt-${VERSION}.tar.gz
+
+# commit and tag the release
+
+cvs commit -m "automatic post-release commit for mutt-${VERSION}"
+cvs tag ${TAG}
+
+# build the diff between the two releases
+
+cvs rdiff -u -r ${OTAG} -r ${TAG} | gzip -9 \
+ > diff-${OVERSION}i-${VERSION}i.gz
+
+# sign the various files
+
+DISTFILES="mutt-${VERSION}.tar.gz mutt-${VERSION}i.tar.gz diff-${OVERSION}i-${VERSION}i.gz"
+
+for f in $DISTFILES; do
+ pgp -sb $f
+ chmod 644 $f.asc
+done
+
+# upload the source
+
+echo pon
+for f in $DISTFILES ; do
+ echo scp $f sigtrap.guug.de:/home/ftp/pub/mutt/${devel}
+done
+
+$HOME/bin/upload-cvs
+cvs update
+
+# Finally, announce the new mutt to the public
+
+mutt -s "[Announce] mutt-${VERSION} is out" mutt-dev@mutt.org
+